<ion-content style="text-align:center">
  <form (ngSubmit)="onSubmit()" [formGroup]="credentials">
    <div class="input-group" style="width:300px; margin:0 auto;"> 

      <ion-item>
        <ion-input type="email" placeholder="Email" formControlName="email"></ion-input>
      </ion-item>
      <div *ngIf="(f.email.dirty || f.email.touched) && f.email.errors" class="errors">
        <span *ngIf="f.email.errors?.required">Email is required</span>
        <span *ngIf="f.email.errors?.email">Email is invalid</span>         
      </div>

    </div>
    <div>
      <ion-button type="submit" color="primary" [disabled]="!credentials.valid" style="width:300px;">Recover</ion-button>
    </div>
    
  </form>
</ion-content>
